---
title: Popular Scott's Mill forms
---
	<p class="intro">Below are some useful forms and documents for Scotts Mill residents. Please remember that all residents signed an agreement during closing that stated they would abide by the Covenants of the Scotts Mill Homeowners' Association. For the most part this means submitting an Architectural Review Form for any material changes to the outside of your home, but it also includes regulations regarding the parking of recreational vehicles, lawn displays, the use of neighborhood facilities, etc. It is important to understand these regulations as it is the HOA Board's duty to enforce them.</p>
	
	<section>
		<h2>Scotts Mill Homeowners' Association</h2>
		<ul>
			<li><a href="http://scottsmill.com/pdf/bk7247pg72.pdf">Declaration of Covenants, Conditions, Restrictions and Easements for Scotts Mill</a></li>
			<li><a href="http://scottsmill.com/pdf/ByLaws.pdf">Bylaws of Scotts Mill Homeowners Association, Inc. </a></li>
			<li><a href="http://scottsmill.com/pdf/automatic draft.pdf">HOA Dues Automatic Draft Form</a></li>
		</ul>
	</section>


	<section>
		<h2>Architectural Review Committee (ARC)</h2>  
		<p>The ARC meets at 7:00PM on the first Wednesday of each month at the clubhouse. All outstanding Architectural Request Forms must be submitted to the Omega office 10 days prior to the meeting date.  Per the Declaration of Covenants, the maximum time the process can take is 30 days. Click <a href="http://scottsmill.com/arc.html">here </a> for more information about the architectural review process.</p>
		<ul>
			<li><a href="http://scottsmill.com/pdf/ArchitecturalGuidelines.pdf">Architectural Standards and Control Specifications</a></li>
			<li><a href="http://scottsmill.com/pdf/Tree Removal Guidelines.pdf">Tree Removal Guidelines</a></li>
			<li><a href="http://scottsmill.com/pdf/SM ARC Form.pdf">Architectural Review Form</a></li>
		</ul>
	</section>


	<section>
		<h2>Clubhouse Information</h2>
		<ul>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Rental Guidelines 2016.pdf">Clubhouse Rental Guidelines</a></li>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Rental Contract 2016.pdf">Clubhouse Rental Reservation Contract</a></li>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Cleaning Checklist 2016.pdf">Clubhouse Rental Cleaning Checklist</a></li>
		</ul>
	</section>



	<section>
		<h2>Pool Information</h2>
		<ul>
			<li><a href="http://scottsmill.com/pdf/2017 Pool Schedule-Hours.pdf">Pool Hours</a></li>
			<li><a href="http://scottsmill.com/pdf/TG Pool Renewal Notice 4-17.pdf">The Green Pool Renewal Form</a></li>
			<li><a href="http://scottsmill.com/pdf/SM Pool Registration Form 2017.pdf">Scotts Mill Pool Registration Form</a></li>
		</ul>
	</section>


	<section>
		<h2>Reference Materials</h2>
		<ul>
			<li><a href="http://www.ncleg.net/gascripts/Statutes/StatutesTOC.pl?0047F">North Carolina Planned Community Act</a></li>
			<li><a href="http://www.wakegov.com/NR/rdonlyres/esubwvpe33cobgr54azwpswuhkuoishuxqcinfscskw46k5omct2qiy7oqxq5lynmza5ebag7wwvog/AnimalControlOrdinance.pdf">Wake County Animal Control Ordinance</a></li>
			<li><a href="http://www.deh.enr.state.nc.us/ehs/rules/t15a-18a.25.htm">North Carolina Administrative Code relating to Swimming Pools</a></li>
			<li><a href="http://www.wakegov.com/NR/rdonlyres/edj7rvhsrzpkg445wtpeyvfrm3nific4qgwfaq4qdyeikrnnapw2niwekok3n3pkzpyi5y3m35ekee/SwimmingPoolRegulations.pdf">Wake County Swimming Pool Regulations</a></li>
		</ul>
	</section>
	